#include <iostream>
#include <math.h>

using namespace std;

int find_match(short b){
	short c=0;
	
	while(b>0){
		if(b>=5){
			b-=5;
			c++;
		}
		else if(b>=2){
			b-=2;
			c++;
		}
		else if(b>=1){
			b--;
			c++;
		}
	}
	return c;
}

int main()	{
	long long a;
	long n=0;
	
	cin>>a;
	
	while(a>0){
		n+=find_match(a%10);
		a/=10;
	}
	
	cout<<n;
	
	return 0;
}